# Uses of Interface
org.opensaml.xmlsec.encryption.EncryptionMethod

Packages that use EncryptionMethod
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of EncryptionMethod in org.opensaml.saml.saml2.metadata

Subinterfaces of EncryptionMethod in org.opensaml.saml.saml2.metadata
Modifier and Type
Interface
Description
`interface`
`EncryptionMethod`
SAML 2.0 Metadata EncryptionMethod.

## Uses of EncryptionMethod in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement EncryptionMethod
Modifier and Type
Class
Description
`class`
`EncryptionMethodImpl`
Concrete implementation of `EncryptionMethod`.

## Uses of EncryptionMethod in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return EncryptionMethod
Modifier and Type
Method
Description
`EncryptionMethod`
EncryptedType.`getEncryptionMethod()`
Gets the EncryptionMethod child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type EncryptionMethod
Modifier and Type
Method
Description
`void`
EncryptedType.`setEncryptionMethod(EncryptionMethod newEncryptionMethod)`
Sets the EncryptionMethod child element.

## Uses of EncryptionMethod in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement EncryptionMethod
Modifier and Type
Class
Description
`class`
`EncryptionMethodImpl`
Concrete implementation of `EncryptionMethod`.
Fields in org.opensaml.xmlsec.encryption.impl declared as EncryptionMethod
Modifier and Type
Field
Description
`private EncryptionMethod`
EncryptedTypeImpl.`encryptionMethod`
EncryptionMethod child element.
Methods in org.opensaml.xmlsec.encryption.impl that return EncryptionMethod
Modifier and Type
Method
Description
`EncryptionMethod`
EncryptionMethodBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`EncryptionMethod`
EncryptionMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`EncryptionMethod`
EncryptedTypeImpl.`getEncryptionMethod()`
Gets the EncryptionMethod child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type EncryptionMethod
Modifier and Type
Method
Description
`void`
EncryptedTypeImpl.`setEncryptionMethod(EncryptionMethod newEncryptionMethod)`
Sets the EncryptionMethod child element.